using IRaCIS.Core.Application.MassTransit.Command;
using IRaCIS.Core.Domain;
using IRaCIS.Core.Domain.BaseModel;
using MassTransit;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.MassTransit.Consumer;


/// <summary>
/// CRC 提交了 通知QC进行质控
/// </summary>
public class CRCSubmitedAndQCToAuditEventConsumer : IConsumer<CRCSubmitedAndQCToAuditEvent>
{
    public Task Consume(ConsumeContext<CRCSubmitedAndQCToAuditEvent> context)
    {
        throw new NotImplementedException();
    }
}


/// <summary>
/// CRC 回复质控质疑 通知QC
/// </summary>
public class CRCRepliedQCChallengeEventConsumer : IConsumer<CRCRepliedQCChallengeEvent>
{
    public Task Consume(ConsumeContext<CRCRepliedQCChallengeEvent> context)
    {
        throw new NotImplementedException();
    }
}


/// <summary>
/// QC回复 质控质疑，通知CRC
/// </summary>
public class QCRepliedQCChallengeEventConsumer : IConsumer<QCRepliedQCChallengeEvent>
{
    public Task Consume(ConsumeContext<QCRepliedQCChallengeEvent> context)
    {
        throw new NotImplementedException();
    }
}


/// <summary>
/// CRC 回复一致性核查质疑 通知PM
/// </summary>
public class CRCRepliedCheckChallengeEventConsumer : IConsumer<CRCRepliedCheckChallengeEvent>
{
    public Task Consume(ConsumeContext<CRCRepliedCheckChallengeEvent> context)
    {
        throw new NotImplementedException();
    }
}



/// <summary>
/// PM 一致性核查 通知CRC
/// </summary>
public class PMRepliedCheckChallengeEventConsumer : IConsumer<PMRepliedCheckChallengeEvent>
{
    public Task Consume(ConsumeContext<PMRepliedCheckChallengeEvent> context)
    {
        throw new NotImplementedException();
    }
}


/// <summary>
/// 通知PM 进行一致性核查
/// </summary>
public class CheckStateChangedToAuditEventConsumer : IConsumer<CheckStateChangedToAuditEvent>
{
    public Task Consume(ConsumeContext<CheckStateChangedToAuditEvent> context)
    {
        throw new NotImplementedException();
    }
}

